## org.apache.poi.xslf.usermodel
Enum Placeholder

    java.lang.Object
      java.lang.Enum<Placeholder>
          org.apache.poi.xslf.usermodel.Placeholder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Placeholder>

    public enum Placeholder

extends java.lang.Enum<Placeholder>

Author:
  Yegor Kozlov

Enum Constant Summary
`BODY`
`CENTERED_TITLE`
`CHART`
`CLIP_ART`
`CONTENT`
`DATETIME`
`DGM`
`FOOTER`
`HEADER`
`MEDIA`
`PICTURE`
`SLIDE_IMAGE`
`SLIDE_NUMBER`
`SUBTITLE`
`TABLE`
`TITLE`

Method Summary
`static Placeholder` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Placeholder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TITLE

    public static final Placeholder TITLE

### BODY

    public static final Placeholder BODY

### CENTERED_TITLE

    public static final Placeholder CENTERED_TITLE

### SUBTITLE

    public static final Placeholder SUBTITLE

### DATETIME

    public static final Placeholder DATETIME

### SLIDE_NUMBER

    public static final Placeholder SLIDE_NUMBER

### FOOTER

    public static final Placeholder FOOTER

### HEADER

    public static final Placeholder HEADER

### CONTENT

    public static final Placeholder CONTENT

### CHART

    public static final Placeholder CHART

### TABLE

    public static final Placeholder TABLE

### CLIP_ART

    public static final Placeholder CLIP_ART

### DGM

    public static final Placeholder DGM

### MEDIA

    public static final Placeholder MEDIA

### SLIDE_IMAGE

    public static final Placeholder SLIDE_IMAGE

### PICTURE

    public static final Placeholder PICTURE

Method Detail

### values

    public static Placeholder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Placeholder c : Placeholder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Placeholder valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.